API Endpoints
Recipe Registry API
HTTP API endpoints for recipe registry server
GET
Recipe Registry API
Recipe Registry API
HTTP API endpoints for the recipe registry server started viapraisonai serve registry.
Base URL + Playground
http://127.0.0.1:7777
Endpoints
GET /healthz
Health check endpoint.No parameters required.
GET /v1/recipes
List all recipes in the registry.Filter by tags (comma-separated)
Maximum number of results (default: 50)
Offset for pagination (default: 0)
GET /v1/recipes/
Get information about a specific recipe.Recipe name
GET /v1/recipes//
Get information about a specific version.Recipe name
Version string (e.g., “1.0.0”)
GET /v1/recipes///download
Download a recipe bundle.Recipe name
Version string
ETag for conditional download
.praison bundle file
Headers:
Content-Type: application/gzipETag: "sha256:abc123..."
POST /v1/recipes//
Publish a recipe bundle. Requires authentication if token is configured.Recipe name
Version string
Bearer token for authentication
Base64-encoded .praison bundle
Overwrite existing version (default: false)
DELETE /v1/recipes//
Delete a recipe version. Requires authentication if token is configured.Recipe name
Version string
Bearer token for authentication
GET /v1/search
Search recipes by query.Search query (matches name, description, tags)
Authentication
When the server is started with--token, write operations require authentication:
POST /v1/recipes/{name}/{version}- PublishDELETE /v1/recipes/{name}/{version}- Delete
GET /healthz- Health checkGET /v1/recipes- ListGET /v1/recipes/{name}- InfoGET /v1/recipes/{name}/{version}- Version infoGET /v1/recipes/{name}/{version}/download- DownloadGET /v1/search- Search
Errors
| Status | Description |
|---|---|
| 200 | Success |
| 201 | Created (publish) |
| 304 | Not Modified (ETag match) |
| 400 | Invalid request |
| 401 | Unauthorized (missing/invalid token) |
| 404 | Recipe or version not found |
| 409 | Conflict (version exists, use force) |
| 500 | Server error |
CLI Equivalent
Related
- Recipe Registry - Python API reference
- Recipe Registry Server - Server deployment
- Recipe CLI - CLI commands
Recipe Registry API

